API server
https://app.coolify.io/api/v1Import a server transfer bundle into this Coolify instance (adopt mode by default).
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Plain or encrypted transfer bundle
falsetrueImport without forcing redeploy; keep statuses for adoption
trueAutomatically claim the host for this instance after import
trueWhen claiming, write ownership file on the host via SSH
falseWhen claiming, rebind Sentinel to this instance
trueResponse Body
application/json
curl -X POST "https://app.coolify.io/api/v1/servers/import" \ -H "Content-Type: application/json" \ -d '{}'{ "message": "Unauthenticated."}Get Sentinel settings GET
Get Sentinel settings for a server owned by the authenticated team. sentinel_token and sentinel_custom_url require the read:sensitive or root token ability.
List Docker cleanup executions GET
List recent Docker cleanup execution logs for a server owned by the authenticated team.
